Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overweight Permit# 2020-02328, UID# 2951
App. Status: Expired

Valid: 11/20/2020 - 11/23/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2650 (11/19/2020)

Charge Cost Quantity Total
Non-Taxable
added 11/19/2020 2:58 PM

Compliant 145,001 - 150,000 lbs

$120.00 x 1 $120.00
added 11/19/2020 2:58 PM

Fee for over length permit

$30.00 x 1 $30.00
added 11/19/2020 2:25 PM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 11/19/2020 2:58 PM

Fee for over width permit

$30.00 x 1 $30.00
Grand Total
Total $210.00
Payment 11/19/2020$210.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantBrent C. Cantleberry - 11/19/2020 2:25 PM
a2be9e2dfeebd2549840230ec0d6e549
03233ad77329a5512ca5b23baf33a9b6
 
#1 Permit Issuing OfficialRachel Grimm - 11/19/2020 3:00 PM
e21de08c5784036845e6f0f89cf3d0ef
320bfde1dd6edb128ac9a2577d73dbcb
 
Permit has been approved. All signatures have been obtained.